## system-config-printer 1.5.7+20160812

=== debian/changelog ===
system-config-printer (1.5.7+20160812-0ubuntu9) zesty; urgency=medium

  * Do the python3-smbc move for realz.

 -- Iain Lane <iain@orangesquash.org.uk>  Mon, 10 Apr 2017 09:47:46 +0100

system-config-printer (1.5.7+20160812-0ubuntu8) zesty; urgency=medium

  * Moved python3-smbc from Recommends: to Suggests:. This package is not
    always needed and auto-installed by system-config-printer if actually
    needed, so we do not need to pull it on initial installation
    (LP: #1667003).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Thu, 23 Mar 2017 10:48:00 -0300

system-config-printer (1.5.7+20160812-0ubuntu7) zesty; urgency=medium

  * Fixed connection type list for detected/discovered printers on the
    "Devices" tab of the new-printer window. The list was too small so
    that the options were not visible.
  * In some cases two entries under the discovered network printers were
    not identified as coming from the same host (= physical printer).
    Fixed.
  * If an IPP printer is discovered by the "driverless" utility from
    cups-filters, give it a "driverless" mark in the list of possible
    connections for the network printers, to guide the user to an easy
    way to set up the printer.
  * As IPP is the most modern and sophisticated network printing protocol
    and especially supports driverless printing, let IPP options show first
    in the list of possible connections for a discovered network printer.
    Only HPLIP stays more highly prioritized as for HP multi-function
    devices as HPLIP print queue is required for the scanner to work.
  * Make sure that auto-generated PPD files for driverless printing are
    not used when another connection type than IPP is used for the printer.
    In driverless printing options are sent to the printers as IPP
    attributes.
  * Prioritize auto-generated PPD files for driverless printing, as
    they poll the properties from the printer, they represent the
    printer best.
  * Fixed display of printer icons in the main window, now the icons
    correctly represent local printers and network prrinters.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Wed, 22 Mar 2017 21:00:00 -0300

system-config-printer (1.5.7+20160812-0ubuntu6) zesty; urgency=medium

  * Fixed IPP-over-USB printer support. IPP-over-USB is designed for
    driverless use of USB printers by giving the possibility to query
    all information needed to print on the printer (auto-generaste a
    PPD file) from the printer via IPP. Therefore we actually generate
    a PPD file based on IPP query. This also adds support for all
    USB-connected IPP Everywhere and Apple AirPrint printer if we do
    not have a specific PPD file or driver for them.
  * Let the binary package system-config-printer-udev recommend ippusbxd
    (1.23-1ubuntu1 or newer) and cups-filters-core-drivers (for the
    "driverless" utility, 1.13.4 or newer).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Mon, 20 Mar 2017 16:31:51 -0300

system-config-printer (1.5.7+20160812-0ubuntu5) zesty; urgency=medium

  * Add transitional system-config-printer-gnome package to ease upgrades.
    (LP: #1643129)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 06 Dec 2016 20:22:47 -0500

system-config-printer (1.5.7+20160812-0ubuntu4) zesty; urgency=medium

  * Bump Breaks/Replaces to correct Ubuntu version for removal
    of system-config-printer-gnome

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 24 Nov 2016 20:03:43 -0500

system-config-printer (1.5.7+20160812-0ubuntu3) zesty; urgency=medium

  * Sync packaging with Debian. Remaining changes:
    - debian/control.in:
      + Have system-config-printer depend on gir1.2-gnomekeyring-1.0 and
        gir1.2-packagekitglib-1.0 and recommend avahi-utils
      + Have system-config-printer-udev recommend ippusbxd
    - debian/rules:
      + Run autoreconf
    - debian/python3-cupshelpers.install:
      + Tweak the install rule so the build works on Ubuntu
    - debian/local/source_system-config-printer.py,
      debian/system-config-printer-common.install:
      + Install apport hook
    - debian/system-config-printer-udev.install, debian/local/70-printers.rules,
      debian/local/udev-configure-printer@.service:
      + Let systemd do the UDEV-triggered call of udev-configure-printer in a
        way so that systemd does not kill ippusbxd after some minutes.
    - Add 05_menu_entries.patch:
      + Show 'Printers' in Unity Settings app.
    - Add 06_rename_settings_panel.patch:
      + Rename app name to 'Printers' for better UI consistency with Unity
    - Add 07_driver-auto-download-configuration.patch:
      + Allow installing packages and non-free software via OpenPrinting
    - Add 23_applet-also-do-not-autostart-on-unity-and-gnome.patch:
      + Don't autostart the applet in GNOME, LXDE or Unity
    - Add 33_ipp-over-usb-support.patch:
      + Add support for IPP-over-USB printers using ippusbxd
    - Add 40_do-not-show-media-col-option.patch:
      + Suppress the display of the "media-col" attribute since this is not a
        user-configurable option
    - Add 43_options-py-use-debugprint.patch, 45_ppds-py-use-debugprint.patch:
      + Silence console output
    - Add 47_installpackage-return-only-if-installation-complete.patch:
      + Don't exit when installing a package via installpackage.py until the
        package is completely installed.
    - Add 50_newprinter-support-smb-printer-setup-without-samba-installed.patch:
      + Allow setup of SMB printers without Samba client software installed.
        Install the software as soon as it is needed for browsing the network
        and using the printer.
    - Refresh patches:
      + 0007-fix-pk-package-name.patch
      + 07_driver-auto-download-configuration.patch
    - Drop patches applied in new version:
      + 0008-fix-device-sorting.patch
      + 0009-fix-udev-add-printer-shbang.patch
    - Build from git snapshot
  * debian/control.in:

