=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: system-config-printer
Section: gnome
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Dmitry Shachnev <mitya57@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Guido Günther <agx@sigxcpu.org>
Build-Depends: autotools-dev,
               cdbs (>= 0.4.90~),
               debhelper (>= 9),
               desktop-file-utils (>= 0.13),
               gnome-pkg-tools,
               intltool,
               libcups2-dev,
               libglib2.0-dev,
               libudev-dev (>= 172) [linux-any],
               libusb-1.0-0-dev,
               libxml-parser-perl,
               python3,
               xmlto
Standards-Version: 3.9.8
Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/attic/system-config-printer
Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-gnome/attic/system-config-printer
Homepage: http://cyberelk.net/tim/software/system-config-printer/
X-Python3-Version: >= 3.0

Package: system-config-printer
Architecture: all
Depends: gir1.2-gdkpixbuf-2.0,
         gir1.2-glib-2.0,
         gir1.2-gtk-3.0,
         gir1.2-notify-0.7,
         gir1.2-packagekitglib-1.0,
         gir1.2-pango-1.0,
         python3-cups (>= 1.9.60),
         python3-cupshelpers (= ${source:Version}),
         python3-dbus,
         python3-gi,
         system-config-printer-common (= ${source:Version}),
         ${misc:Depends},
         ${python3:Depends}
Recommends: cups-pk-helper,
            system-config-printer-udev
Suggests: gnome-software (>= 3.16.5-2),
          python3-smbc
Breaks: system-config-printer-gnome (<< 1.5.7+20160812-0ubuntu3~),
Replaces: system-config-printer-gnome (<< 1.5.7+20160812-0ubuntu3~),
Description: graphical interface to configure the printing system
 System-config-printer is a GUI written in Python using GTK+ to
 configure a CUPS server. Its primary use is to configure the printing
 system on the local host, but can also be used to setup a remote
 printer.
 .
 In terms of features, it aims to be as complete as the CUPS web
 administration tool, while being integrated to the desktop.

Package: system-config-printer-common
Architecture: all
Depends: gir1.2-gdkpixbuf-2.0,
         gir1.2-glib-2.0,
         gir1.2-gnomekeyring-1.0,
         gir1.2-gtk-3.0,
         gir1.2-notify-0.7,
         gir1.2-packagekitglib-1.0,
         gir1.2-pango-1.0,
         python3-cairo,
         python3-cups (>= 1.9.60),
         python3-cupshelpers (= ${source:Version}),
         python3-dbus,
         python3-gi,
         python3-requests,
         ${misc:Depends},
         ${python3:Depends}
Recommends: avahi-utils,
            gir1.2-gnomekeyring-1.0,
            system-config-printer-udev
Suggests: gnome-software (>= 3.16.5-2),
          python3-smbc
Breaks: system-config-printer (<< 1.5.7-2~),
        system-config-printer-gnome (<< 1.5.7+20160812-0ubuntu3~),
Replaces: system-config-printer (<< 1.5.7-2~),
          system-config-printer-gnome (<< 1.5.7+20160812-0ubuntu3~),
Description: backend and the translation files for system-config-printer
 System-config-printer is a GUI written in Python using GTK+ to
 configure a CUPS server. Its primary use is to configure the printing
 system on the local host, but can also be used to setup a remote
 printer.
 .
 In terms of features, it aims to be as complete as the CUPS web
 administration tool, while being integrated to the desktop.
 .
 This package contains the backend and the translation files for
 system-config-printer

Package: python3-cupshelpers
Architecture: all
Section: python
Depends: python3-cups (>= 1.9.42),
         python3-dbus,
         python3-requests,
         ${misc:Depends},
         ${python3:Depends}
Breaks: python-cupshelpers (<= 1.5)
Replaces: python-cupshelpers (<= 1.5)
Description: Python utility modules around the CUPS printing system
 These Python modules, that come from the system-config-printer
 distribution, help building applications and utilities around the CUPS
 Python bindings.

Package: system-config-printer-udev
Architecture: linux-any
Depends: python3:any (>= 3.3.2-2~),
         python3-cups (>= 1.9.42),
         python3-cupshelpers (= ${source:Version}),
         python3-dbus,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: ippusbxd
Description: Utilities to detect and configure printers automatically
 These utilities allow one to detect automatically printers using UDEV when
 they are plugged on the system. They are then configured automatically in
 the CUPS printing daemon and made available to users.

Package: system-config-printer-gnome
Section: oldlibs
Priority: extra
Architecture: all
Depends: system-config-printer (>= 1.5.7+20160812-0ubuntu3~),
         ${misc:Depends}
Description: graphical interface to configure printers (transitional package)
 This is a transitional package and can safely be removed once no other
 packages depend on it.
