## system-config-printer 1.5.9+20170825

=== debian/changelog ===
system-config-printer (1.5.9+20170825-0ubuntu1) artful; urgency=medium

  * New upstream release
    - GIT snapshot from August 25, 2017, after 1.5.9 release
    - Do not notify on 'cups-waiting-for-job-completed' because it's not an
      error (LP: 1656790).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Fri, 25 Aug 2017 18:42:12 -0300

system-config-printer (1.5.9+20170804-0ubuntu2) artful; urgency=medium

  * debian/control.in: Added dependency on gir1.2-secret-1 in
    debian/control.in and not debian/control (LP: #1709572).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Wed, 09 Aug 2017 09:47:05 -0300

system-config-printer (1.5.9+20170804-0ubuntu1) artful; urgency=medium

  * New upstream release
    - GIT snapshot from August  4, 2017, after 1.5.9 release
    - Use libsecret instead of libgnome-keyring.
    - Do not start the applet on GNOME and Cinnamon desktops.
  * debian/control: Let system-config-printer-common depend on
    gir1.2-secret-1 instead of on gir1.2-gnomekeyring-1.0.
  * Refreshed patches with quilt:
    0006-use-paper-size-default-in-etc-papersize.patch,
    0007-fix-pk-package-name.patch,
    05_menu_entries.patch
  * Manually updated the patches:
    0010-no-start-printer-applet-gnome.patch

 -- Till Kamppeter <till.kamppeter@gmail.com>  Fri, 04 Aug 2017 19:59:05 -0300

system-config-printer (1.5.9+20170619-0ubuntu1) artful; urgency=medium

  * New upstream release
    - GIT snapshot from June 19, 2017, after 1.5.9 release
    - Determine IP addresses of discovered network printers to find out
      whether discovered entries come from the same physical device
    - Let USB entries from the printing and from the fax part of the
      same multi-function printer appear together.
    - Debug output for assignments of discovered entries to physical
      devices.
    - Consider the CUPS backends "driverless" and "bjnp" as network
      printer backends.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Mon, 19 Jun 2017 16:48:59 -0300

system-config-printer (1.5.9+20170526-0ubuntu2) artful; urgency=medium

  * Fix path for the installation of debug.py and smburi.py.

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Tue, 13 Jun 2017 21:15:26 -0400

system-config-printer (1.5.9+20170526-0ubuntu1) artful; urgency=medium

  * New upstream release
    - GIT snapshot from May 26, 2017, after 1.5.9 release
    - Upstreamized the following patches:
      + 40_do-not-show-media-col-option.patch
      + 43_options-py-use-debugprint.patch
      + 45_ppds-py-use-debugprint.patch
      + 47_installpackage-return-only-if-installation-complete.patch
      + 50_newprinter-support-smb-printer-setup-without-samba-installed.patch
      + 53_fix-connections-list-in-new-printer-window.patch
      + 55_fix-identifying-network-printers-as-same-host.patch
      + 57_mark-ipp-printer-discovered-by-driverless-utility.patch
      + 60_prioritize-ipp-in-connections-list.patch
      + 63_do-not-use-driverless-ppd-on-non-ipp-connection.patch
      + 65_prefer-driverless-ppds.patch
      + 67_display-correct-icons.patch
  * Removed the upstreamized patches.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Fri, 26 May 2017 10:07:04 -0300

system-config-printer (1.5.9+20170523-0ubuntu2) artful; urgency=medium

  * Merged in changes from the Debian package, remaining Ubuntu changes:
    - debian/control.in:
      + Have system-config-printer depend on gir1.2-gnomekeyring-1.0 and
        gir1.2-packagekitglib-1.0, recommend avahi-utils, and only suggest
        python3-smbc. Also Breaks/Replaces: system-config-printer-gnome
      + Have system-config-printer-udev recommend ippusbxd
      + Let system-config-printer-gnome be a transitional package.
    - debian/local/70-printers.rules,
      debian/local/udev-configure-printer@.service:
      + Let systemd do the UDEV-triggered call of udev-configure-printer in a
        way so that systemd does not kill ippusbxd after some minutes.
    - debian/local/source_system-config-printer.py:
      + Apport hook
    - debian/patches/0010-no-start-printer-applet-gnome.patch
      + Also do not start printer applet with Unity and LXDE.
    - debian/patches/03_install_layout.patch
      + Install with --install-layout=deb
    - debian/patches/05_menu_entries.patch:
      + Show 'Printers' in Unity Settings app.
    - debian/patches/06_rename_settings_panel.patch:
      + Rename app name to 'Printers' for better UI consistency with Unity
    - debian/patches/07_driver-auto-download-configuration.patch:
      + Allow installing packages and non-free software via OpenPrinting
    - debian/patches/33_ipp-over-usb-support.patch:
      + debian/patches/support for IPP-over-USB printers using ippusbxd
    - debian/patches/40_do-not-show-media-col-option.patch:
      + Suppress the display of the "media-col" attribute since this is not a
        user-configurable option
    - debian/patches/43_options-py-use-debugprint.patch, 45_ppds-py-use-debugprint.patch:
      + Silence console output
    - debian/patches/47_installpackage-return-only-if-installation-complete.patch:
      + Don't exit when installing a package via installpackage.py until the
        package is completely installed.
    - debian/patches/50_newprinter-support-smb-printer-setup-without-samba-installed.patch:
      + Allow setup of SMB printers without Samba client software installed.
        Install the software as soon as it is needed for browsing the network
        and using the printer.
    - debian/patches/53_fix-connections-list-in-new-printer-window.patch:
      + Fixed connection type list for detected/discovered printers on the
        "Devices" tab of the new-printer window. The list was too small so
        that the options were not visible.
    - debian/patches/55_fix-identifying-network-printers-as-same-host.patch:
      + In some cases two entries under the discovered network printers were
        not identified as coming from the same host (= physical printer).
        Fixed.

