=== debian/control ===
--- 
+++ 
@@ -7,10 +7,9 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Dmitry Shachnev <mitya57@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Guido Günther <agx@sigxcpu.org>
-Build-Depends: autotools-dev,
-               cdbs (>= 0.4.90~),
-               debhelper (>= 9),
+Uploaders: Dmitry Shachnev <mitya57@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Guido Günther <agx@sigxcpu.org>
+Build-Depends: debhelper (>= 10),
+               dh-python,
                desktop-file-utils (>= 0.13),
                gnome-pkg-tools,
                intltool,
@@ -35,6 +34,7 @@
          gir1.2-notify-0.7,
          gir1.2-packagekitglib-1.0,
          gir1.2-pango-1.0,
+         gir1.2-polkit-1.0,
          python3-cups (>= 1.9.60),
          python3-cupshelpers (= ${source:Version}),
          python3-dbus,
@@ -61,7 +61,7 @@
 Architecture: all
 Depends: gir1.2-gdkpixbuf-2.0,
          gir1.2-glib-2.0,
-         gir1.2-gnomekeyring-1.0,
+         gir1.2-secret-1,
          gir1.2-gtk-3.0,
          gir1.2-notify-0.7,
          gir1.2-packagekitglib-1.0,
@@ -75,7 +75,7 @@
          ${misc:Depends},
          ${python3:Depends}
 Recommends: avahi-utils,
-            gir1.2-gnomekeyring-1.0,
+            gir1.2-secret-1,
             system-config-printer-udev
 Suggests: gnome-software (>= 3.16.5-2),
           python3-smbc
