## system-config-printer 1.5.11

=== debian/changelog ===
system-config-printer (1.5.11-3) unstable; urgency=medium

  * Cherry-pick define-classes-for-Secret-only-when-libsecret-installed.patch:
    - Don't crash when gir1.2-secret-1 is not installed (Closes: #892256)
  * Bump Standards-Version to 4.2.1
  * Don't install AUTHORS since it duplicates debian/copyright
  * Remove upstream signing key.
    - Releases haven't been signed since moving to Github

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 29 Sep 2018 15:05:33 -0400

system-config-printer (1.5.11-2) unstable; urgency=medium

  * Build-Depend on python3-distutils

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 20 Mar 2018 09:03:02 -0400

system-config-printer (1.5.11-1) unstable; urgency=medium

  [ Jeremy Bicha ]
  * Update Vcs fields for migration to https://salsa.debian.org/

  [ Laurent Bigonville ]
  * New upstream release.
    - Drop d/p/0010-no-start-printer-applet-gnome.patch, applied upstream
    - Use libsecret instead of gnome-keyring (Closes: #867952)
    - debian/system-config-printer.install: Fix installation of appdata file
  * debian/rules: Fix the URL to download the orig tarball using get-orig-source
  * d/p/0003-Use-ValueError-instead-of-ImportError-to-catch-excep.patch: Fix
    exception handling when importing libsecret, that should made it really
    optional (Closes: #868039)
  * d/p/0004-Fix-constructing-the-auth-dialog.patch: Fix constructing the auth
    dialog, from upstream
  * d/p/0005-Require-proper-version-of-GDK-and-GTK-in-scp-dbus-se.patch,
    d/p/0006-Set-programe-name-for-scp-dbus-service-as-well.patch: Require
    version of GDK and GTK bindings before importing them and properly set the
    program name even when scp-dbus-service is D-Bus activated.

 -- Laurent Bigonville <bigon@debian.org>  Mon, 26 Feb 2018 17:16:55 +0100

system-config-printer (1.5.9-3) unstable; urgency=medium

  * Update Vcs fields for conversion to git
  * Add debian/gbp.conf
  * Bump Standards-Version to 4.1.2
  * Bump debhelper compat to 11

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 16 Dec 2017 19:36:37 -0500

system-config-printer (1.5.9-2) unstable; urgency=medium

  [ Jeremy Bicha ]
  * Update debian/watch and Homepage to point to github repo
  * Update Vcs links

  [ Laurent Bigonville ]
  * debian/control.in: Make the system-config-printer-common package recommend
    cups-pk-helper and python3-smbc package instead of system-config-printer,
    the code using these modules are in that package.
  * debian/rules: Remove the dbus/org.fedoraproject.Config.Printing.service
    file during the clean target so it's generated with the proper path

 -- Laurent Bigonville <bigon@debian.org>  Wed, 21 Jun 2017 14:50:52 +0200

system-config-printer (1.5.9-1) experimental; urgency=medium

  * New upstream release.
    - Drop debian/patches/0008-fix-device-sorting.patch,
      debian/patches/0009-fix-udev-add-printer-shbang.patch: Merged upstream
    - debian/patches/0007-fix-pk-package-name.patch: Refreshed
  * Switch to dh sequences from cdbs
  * Do not install smburi.py and debug.py in python3-cupshelpers anymore, this
    doesn't seem needed anymore
  * Bump debhelper compatibility to version 10
  * Drop debian/patches/03_install_layout.patch, this doesn't seem needed
    anymore and adjust debian/python3-cupshelpers.install
  * debian/control.in: Add gir1.2-polkit-1.0 to the dependencies

 -- Laurent Bigonville <bigon@debian.org>  Thu, 23 Feb 2017 22:26:58 +0100
