## system-config-printer 1.5.11-1ubuntu2+9.0trisquel1

=== debian/changelog ===
system-config-printer (1.5.11-1ubuntu2+9.0trisquel1) etiona; urgency=medium

  * Compiled for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sat, 16 Nov 2019 00:44:59 +0000

system-config-printer (1.5.11-1ubuntu2) bionic; urgency=low

  * Let the binary package system-config-printer-common depend
    on gir1.2-secret-1 (LP: #1760027).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Tue,  3 Apr 2018 16:50:12 +0200

system-config-printer (1.5.11-1ubuntu1) bionic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/control.in:
      + Have system-config-printer recommend avahi-utils, and have
        system-config-printer-common only suggest python3-smbc. Also
        Breaks/Replaces: system-config-printer-gnome in both
        system-config-printer and system-config-printer-common
      + Have system-config-printer-udev recommend ippusbxd
      + Let system-config-printer-gnome be a transitional package.
    - debian/local/source_system-config-printer.py:
      + Apport hook
    - debian/patches/0010-no-start-printer-applet-gnome.patch
      + Also do not start printer applet with Unity and LXDE.
    - debian/patches/03_install_layout.patch
      + Install with --install-layout=deb
    - debian/patches/05_menu_entries.patch:
      + Show 'Printers' in Unity Settings app.
    - debian/patches/06_rename_settings_panel.patch:
      + Rename app name to 'Printers' for better UI consistency with Unity
    - debian/patches/07_driver-auto-download-configuration.patch:
      + Allow installing packages and non-free software via OpenPrinting
    - debian/patches/33_ipp-over-usb-support.patch:
      + debian/patches/support for IPP-over-USB printers using ippusbxd
    - debian/python3-cupshelpers.install:
      + Install debug.py and smburi.py into python3-cupshelpers package,
        needed by the patches.
      + Fixed mask for *.egg-info file.
    - debian/system-config-printer-common.install:
      + Install Apport hook.
  * Refreshed patches with quilt:
    - 03_install_layout.patch
    - 0006-use-paper-size-default-in-etc-papersize.patch
    - 0007-fix-pk-package-name.patch
    - 05_menu_entries.patch
  * Manually updated patches:
    - 06_rename_settings_panel.patch

 -- Till Kamppeter <till.kamppeter@gmail.com>  Wed, 28 Feb 2018 19:59:12 +0100

system-config-printer (1.5.9+20170825-0ubuntu2) bionic; urgency=medium

  * debian/system-config-printer-udev.install,
    debian/local/70-printers.rules,
    debian/local/udev-configure-printer@.service: Use UDEV rules and
    systemd service files from upstream.
  * debian/patches/33_ipp-over-usb-support.patch: Updated patch for the
    fact that CUPS and cups-browsed auto-discover IPP-over-USB printers,
    so we only need to start ippusbxd, but not create a queue. In case
    of HP printers supported by HPLIP we prefer HPLIP instead of
    IPP-over-USB to make scanning on MFPs work.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Wed, 17 Jan 2018 21:28:12 -0200
