## system-config-printer 1.5.11-1ubuntu2+9.0trisquel2

=== debian/changelog ===
system-config-printer (1.5.11-1ubuntu2+9.0trisquel2) etiona; urgency=medium

  * Compiled for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Mon, 17 Jan 2022 06:09:53 +0000
