## system-config-printer 1.5.11-1ubuntu2+9.0trisquel3

=== debian/changelog ===
system-config-printer (1.5.11-1ubuntu2+9.0trisquel3) etiona; urgency=medium

  * Compiled for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Fri, 16 Sep 2022 23:06:48 +0000
