=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Source: system-config-printer
 Section: gnome
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
 Uploaders: Dmitry Shachnev <mitya57@debian.org>, Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>, Guido Günther <agx@sigxcpu.org>
 Build-Depends: debhelper (>= 11),
                dh-python,
