## system-config-printer 1.5.11.3

=== debian/changelog ===
system-config-printer (1.5.11.3-1+deepin) unstable; urgency=low

  * ['Autobuild release-candidate: 2ad2c448ffdd2a4caca614d60c132d8e4b5659bd']

 -- shuttle <shuttle@deepin.com>  Mon, 02 Dec 2019 13:28:46 +0000
