=== debian/control ===
--- 
+++ 
@@ -5,8 +5,8 @@
 Source: system-config-printer
 Section: gnome
 Priority: optional
-Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
-Uploaders: Dmitry Shachnev <mitya57@debian.org>, Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>, Guido Günther <agx@sigxcpu.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Guido Günther <agx@sigxcpu.org>, 
 Build-Depends: debhelper (>= 11),
                dh-python,
                desktop-file-utils (>= 0.13),
@@ -18,8 +18,9 @@
                libusb-1.0-0-dev,
                libxml-parser-perl,
                python3,
+               python3-distutils,
                xmlto
-Standards-Version: 4.1.2
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/gnome-team/system-config-printer
 Vcs-Git: https://salsa.debian.org/gnome-team/system-config-printer.git
 Homepage: https://github.com/zdohnal/system-config-printer
@@ -40,11 +41,8 @@
          system-config-printer-common (= ${source:Version}),
          ${misc:Depends},
          ${python3:Depends}
-Recommends: system-config-printer-udev,
-	    avahi-utils
-Suggests: trisquel-app-install,
-Breaks: system-config-printer-gnome (<< 1.5.7+20160812-0ubuntu3~)
-Replaces: system-config-printer-gnome (<< 1.5.7+20160812-0ubuntu3~)
+Recommends: system-config-printer-udev
+Suggests: gnome-software (>= 3.16.5-2)
 Description: graphical interface to configure the printing system
  System-config-printer is a GUI written in Python using GTK+ to
  configure a CUPS server. Its primary use is to configure the printing
@@ -61,7 +59,6 @@
          gir1.2-gtk-3.0,
          gir1.2-notify-0.7,
          gir1.2-pango-1.0,
-	 gir1.2-secret-1,
          python3-cairo,
          python3-cups (>= 1.9.60),
          python3-cupshelpers (= ${source:Version}),
@@ -70,15 +67,13 @@
          python3-requests,
          ${misc:Depends},
          ${python3:Depends}
-Recommends: cups-pk-helper, 
+Recommends: cups-pk-helper,
             gir1.2-secret-1,
+            python3-smbc,
             system-config-printer-udev
-Suggests: trisquel-app-install,
-	  python3-smbc
-Breaks: system-config-printer (<< 1.5.7-2~),
-        system-config-printer-gnome (<< 1.5.7+20160812-0ubuntu3~)
-Replaces: system-config-printer (<< 1.5.7-2~),
-          system-config-printer-gnome (<< 1.5.7+20160812-0ubuntu3~)
+Suggests: gnome-software (>= 3.16.5-2)
+Breaks: system-config-printer (<< 1.5.7-2~)
+Replaces: system-config-printer (<< 1.5.7-2~)
 Description: backend and the translation files for system-config-printer
  System-config-printer is a GUI written in Python using GTK+ to
  configure a CUPS server. Its primary use is to configure the printing
@@ -110,22 +105,11 @@
 Architecture: linux-any
 Depends: python3:any (>= 3.3.2-2~),
          python3-cups (>= 1.9.42),
-         python3-cupshelpers (= ${source:Version}),
+         python3-cupshelpers (>= ${source:Version}),
          python3-dbus,
          ${misc:Depends},
          ${shlibs:Depends}
-Recommends: ippusbxd
 Description: Utilities to detect and configure printers automatically
  These utilities allow one to detect automatically printers using UDEV when
  they are plugged on the system. They are then configured automatically in
  the CUPS printing daemon and made available to users.
-
-Package: system-config-printer-gnome
-Section: oldlibs
-Priority: extra
-Architecture: all
-Depends: system-config-printer (>= 1.5.7+20160812-0ubuntu3~),
-         ${misc:Depends}
-Description: graphical interface to configure printers (transitional package)
- This is a transitional package and can safely be removed once no other
- packages depend on it.
